Skip to main content
POST
/
cURL
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "getCompressedAccountProof",
  "params": {
    "hash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP"
  }
}
'
import requests

url = "https://mainnet.helius-rpc.com/?api-key="

payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getCompressedAccountProof",
"params": { "hash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP" }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getCompressedAccountProof',
params: {hash: '11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP'}
})
};

fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "context": {
    "slot": 100
  },
  "value": {
    "hash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
    "leafIndex": 1,
    "merkleTree": "11111117353mdUKehx9GW6JNHznGt5oSZs9fWkVkB",
    "proof": [
      "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP"
    ],
    "root": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
    "rootSeq": 1
  }
}
{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}

Request Parameters

hash
string
required
A 32-byte cryptographic hash represented as a base58 string, uniquely identifying a Solana compressed account.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0
required

The version of the JSON-RPC protocol.

Available options:
2.0
id
string
default:1
required

An ID to identify the request.

method
enum<string>
default:getCompressedAccountProof
required

The name of the method to invoke for retrieving Solana compressed account proof data.

Available options:
getCompressedAccountProof
params
object
required

Response

Successfully retrieved merkle proof for the requested Solana compressed account

context
object
required
value
object
required